# Google Cloud Notebooks V1 Client - Class UpdateRuntimeRequest (1.1.3)

1.1.3 (latest) 1.1.2 1.0.5 0.7.5 0.6.2 0.5.0 0.4.1 0.3.6 Reference documentation and code samples for the Google Cloud Notebooks V1 Client class UpdateRuntimeRequest.

Request for updating a Managed Notebook configuration.

Generated from protobuf message `google.cloud.notebooks.v1.UpdateRuntimeRequest`

## Namespace

Google \\ Cloud \\ Notebooks \\ V1

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ runtime` | `https://docs.cloud.google.com/php/docs/reference/cloud-notebooks/latest/V1.Runtime` Required. The Runtime to be updated. |
| `↳ update_mask` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask` Required. Specifies the path, relative to `Runtime`, of the field to update. For example, to change the software configuration kernels, the `update_mask` parameter would be specified as `software_config.kernels`, and the `PATCH` request body would specify the new value, as follows: { "software_config":{ "kernels": \[{ 'repository': 'gcr.io/deeplearning-platform-release/pytorch-gpu', 'tag': 'latest' }\], } } Currently, only the following fields can be updated: - `software_config.kernels` - `software_config.post_startup_script` - `software_config.custom_gpu_driver_path` - `software_config.idle_shutdown` - `software_config.idle_shutdown_timeout` - `software_config.disable_terminal` |
| `↳ request_id` | `string` Idempotent request UUID. |

### getRuntime

Required. The Runtime to be updated.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-notebooks/latest/V1.Runtime|null` |   |

### hasRuntime

### clearRuntime

### setRuntime

Required. The Runtime to be updated.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://docs.cloud.google.com/php/docs/reference/cloud-notebooks/latest/V1.Runtime` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getUpdateMask

Required. Specifies the path, relative to `Runtime`, of
the field to update. For example, to change the software configuration
kernels, the `update_mask` parameter would be
specified as `software_config.kernels`,
and the `PATCH` request body would specify the new value, as follows:
{
"software_config":{
"kernels": \[{
'repository':
'gcr.io/deeplearning-platform-release/pytorch-gpu', 'tag':
'latest' }\],
}
}
Currently, only the following fields can be updated:

- `software_config.kernels`
- `software_config.post_startup_script`
- `software_config.custom_gpu_driver_path`
- `software_config.idle_shutdown`
- `software_config.idle_shutdown_timeout`
- `software_config.disable_terminal`

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask|null` |   |

### hasUpdateMask

### clearUpdateMask

### setUpdateMask

Required. Specifies the path, relative to `Runtime`, of
the field to update. For example, to change the software configuration
kernels, the `update_mask` parameter would be
specified as `software_config.kernels`,
and the `PATCH` request body would specify the new value, as follows:
{
"software_config":{
"kernels": \[{
'repository':
'gcr.io/deeplearning-platform-release/pytorch-gpu', 'tag':
'latest' }\],
}
}
Currently, only the following fields can be updated:

- `software_config.kernels`
- `software_config.post_startup_script`
- `software_config.custom_gpu_driver_path`
- `software_config.idle_shutdown`
- `software_config.idle_shutdown_timeout`
- `software_config.disable_terminal`

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getRequestId

Idempotent request UUID.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setRequestId

Idempotent request UUID.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### static::build

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `runtime` | `https://docs.cloud.google.com/php/docs/reference/cloud-notebooks/latest/V1.Runtime` Required. The Runtime to be updated. |
| `updateMask` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask` Required. Specifies the path, relative to `Runtime`, of the field to update. For example, to change the software configuration kernels, the `update_mask` parameter would be specified as `software_config.kernels`, and the `PATCH` request body would specify the new value, as follows: { "software_config":{ "kernels": \[{ 'repository': 'gcr.io/deeplearning-platform-release/pytorch-gpu', 'tag': 'latest' }\], } } Currently, only the following fields can be updated: - `software_config.kernels` - `software_config.post_startup_script` - `software_config.custom_gpu_driver_path` - `software_config.idle_shutdown` - `software_config.idle_shutdown_timeout` - `software_config.disable_terminal` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-notebooks/latest/V1.UpdateRuntimeRequest` |   |